Speed

Associated revisions
Revision 888f5049 - 2008-02-29 16:42 - Robert Lemke

Some speed optimizations based on profiling results. (Addresses #374)
Total speed up: 457 % faster

    -  FLOW3: (Component) Replaced the magic __call() function by real getters in the Component Configuration. Speed gain (Default View): + 366 %
    -  FLOW3: (Reflection) Removed the T3_PHP6_Functions::substr() calls because we just don't need it there. Speed gain (Default View): + 16 %
    -  FLOW3: (AOP) Made all classes involved the proxy class building process static! Speed gain (Proxy Class Builder): +100 %
    -  FLOW3: (AOP) Liberated the Proxy Class Builder from any dependencies on the component manager..

History
#1 - 2008-07-01 15:36 - Robert Lemke
- Target version deleted (1)

#2 - 2008-08-12 09:37 - Robert Lemke
- Status changed from New to Closed
